VOS_LISTADDRS(1)

NAME
vos_listaddrs - Displays all VLDB server entries

SYNOPSIS
vos listaddrs [-uuid <uuid of server>]
    [-host <address of host>] [-printuuid]
    [-cell <cell name>] [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos lista [-u <uuid of server>] >>>
    [-h <address of host>] [-p]
    [-c <cell name>] [-noa] [-l]
    [-v] [-e] [-nor]
    [-co <config directory>]
    [-he]

DESCRIPTION
The vos listaddrs command displays all of the server entries from the Volume Location Database (VLDB). An entry is created as the File Server initializes and registers the contents of its /var/lib/openafs/local/sysid file in the VLDB.

OPTIONS

-host <address of host>
    Rather than displaying all the server entries, display only server entries for the specified host. This will show all multihomed addresses registered by that File Server in the VLDB.

-uuid <uuid of server>
    Rather than displaying all the server entries, display only server entries for the File Server with the specified UUID. This will show all multihomed addresses registered by that File Server in the VLDB and also allows mapping a File Server UUID to its address.

-printuuid
    Prints the UUID of server entries in addition to the registered addresses. The -printuuid option is available in OpenAFS versions 1.4.5 or later and 1.5.8 or later.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /etc/openafs, except if -localauth is specified, in which case the default is /etc/openafs/server. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output displays all server entries from the VLDB, each on its own line. If a file server machine is multihomed, all of its registered addresses appear on the line. The first one is the one reported as a volume's site in the output from the vos examine and vos listvldb commands.

The VLDB records IP addresses, and the command interpreter has the local name service (either a process like the Domain Name Service or a local host table) translate them to hostnames before displaying them. If an IP address appears in the output, it is not possible to translate it.

The existence of an entry does not necessarily indicate that the machine that is still an active file server machine. To remove obsolete server entries, use the vos changeaddr command with the -remove argument.

EXAMPLES
The following command displays the VLDB server entries in the Example Corporation cell:

   % vos listaddrs
   sv5.example.com
   sv1.example.com
   sv2.example.com  afs2.example.com
   sv6.example.com

The following command displays the VLDB server entry and UUID for host sv5.example.com in the Example Corporation cell:

   % vos listaddrs -p -ho sv5.example.com
   UUID: 000c5aff-8246-1699-96-c4-437b5a45aa77
   sv5.example.com

PRIVILEGE REQUIRED
None

SEE ALSO
fs_uuid(1), sysid(5), vos(1), vos_examine(1), vos_listvldb(1), vos_setaddrs(1), vos_remaddrs(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.